Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PALUDIS] Support thread (current v. 0.22.2) - Part 2
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 17, 18, 19, 20  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2454
Location: Silver City, NM

PostPosted: Sat Apr 07, 2007 5:48 pm    Post subject: Reply with quote

@tecknojunky, just a thought: is xinitd in your world file? Maybe Paludis treats an entry in the world file as a use. If it is in there, remove it and try again. I'm not sure this is the answer but it wouldn't surprise me if it was.
Back to top
View user's profile Send private message
Hypnos
Advocate
Advocate


Joined: 18 Jul 2002
Posts: 2868
Location: Omnipresent

PostPosted: Sat Apr 07, 2007 7:48 pm    Post subject: Reply with quote

john.doe wrote:
check_linkage.rb found 5 packages to reinstall:sun-jdk,blackdown-jdk,openoffice-bin,firefox-bin and thunderbird-bin.
Annother demonstration of the power of Paludis.

Aren't these false positives? I.e., sun-jdk and blackdown-jdk probably have non-ld.so dependencies, and *-bin might have deep deps. If these programs don't run, check_linkage picks them up, you re-install them, and then they run, then check_linkage will have performed well.
_________________
Personal overlay | Simple backup scheme
Back to top
View user's profile Send private message
nikaya
Veteran
Veteran


Joined: 13 May 2006
Posts: 1471
Location: Germany

PostPosted: Sat Apr 07, 2007 8:14 pm    Post subject: Reply with quote

Hypnos wrote:
john.doe wrote:
check_linkage.rb found 5 packages to reinstall:sun-jdk,blackdown-jdk,openoffice-bin,firefox-bin and thunderbird-bin.
Annother demonstration of the power of Paludis.

Aren't these false positives? I.e., sun-jdk and blackdown-jdk probably have non-ld.so dependencies, and *-bin might have deep deps. If these programs don't run, check_linkage picks them up, you re-install them, and then they run, then check_linkage will have performed well.

I'm not sure.I was just wondering why check_linkage found some packages and revdep-rebuild not.Thought that ckeck_linkage searches stricter and depper.You could be right that this are false positives.I don't know.
_________________
Notes on Dhamma
How to waste your time: look for an explanation of consciousness, ask to know what feeling is. (Nanavira Thera)
Back to top
View user's profile Send private message
deathrattle
n00b
n00b


Joined: 07 Apr 2007
Posts: 14
Location: Simmerath, Germany

PostPosted: Sat Apr 07, 2007 8:32 pm    Post subject: Reply with quote

Can someone please help me?

This is what 'Paludis --info' gives me since a few days...

Code:
amd64_X2 / # paludis --info
paludis 0.22.2

Built by root@amd64_X2 on 2007-04-07T14:11:17+0200
CXX:         x86_64-pc-linux-gnu-g++ 4.1.2 (Gentoo 4.1.2)
CXXFLAGS:    -march=k8 -O2 -pipe -funroll-loops -ftracer -fpeel-loops -ftree-vectorize
LDFLAGS:     -Wl,-Os -Wl,--hash-style=gnu -Wl,--as-needed
DATADIR:     /usr/share
LIBDIR:      /usr/lib64
LIBEXECDIR:  /usr/libexec
SYSCONFDIR:  /etc
stdlib:      GNU libstdc++ 20070214
libebt:      1.3.0
libwrapiter: 1.0.0
sandbox:     enabled


Repository virtuals:
    Configuration information:
        format:                virtuals

Repository installed_virtuals:
    Configuration information:
        format:                installed_virtuals

Repository gentoo:
sh: sandbox: command not found

Unhandled exception:
  * In program paludis --info:
  * When fetching environment variable 'ACCEPT_KEYWORDS' from repository 'gentoo':
  * Environment variable query error: Couldn't get environment variable 'ACCEPT_KEYWORDS' for package 'app-admin/eselect-compiler-2.0.0_rc2-r1::gentoo' (paludis::EnvironmentVariableActionError)
amd64_X2 / #
[/list]
Back to top
View user's profile Send private message
givemesugarr
n00b
n00b


Joined: 11 Mar 2007
Posts: 5

PostPosted: Sat Apr 07, 2007 9:49 pm    Post subject: Reply with quote

isn't there anyone who could tell me about a repository for x11-base/opengl-update?!?!
thanks
Back to top
View user's profile Send private message
Conan
Guru
Guru


Joined: 02 Nov 2004
Posts: 360

PostPosted: Sun Apr 08, 2007 2:07 am    Post subject: Reply with quote

john.doe wrote:
Hmm,I just tested the check_linkage.rb script:
Code:
ruby /usr/share/paludis/ruby/demos/check_linkage.rb

It is an replacement for revdep-rebuild.It uses Paludis for checking.revdep-rebuild told me:
Code:
Dynamic linking on your system is consistent... All done.

check_linkage.rb found 5 packages to reinstall:sun-jdk,blackdown-jdk,openoffice-bin,firefox-bin and thunderbird-bin.
Annother demonstration of the power of Paludis.


more like another fine demonstration of the ignorance of its users.

all of those are binaries. reemerging a binary will not change its linkage, revdep-rebuild ignores binary packages by default, check_linkage.rb doesn't (not sure why)
Back to top
View user's profile Send private message
fank
l33t
l33t


Joined: 16 Oct 2004
Posts: 794
Location: Minsk, Belarus

PostPosted: Sun Apr 08, 2007 8:48 am    Post subject: Reply with quote

hi,

how could I use deltup with Paludis?
I found this
but with no luck here

and how can I enable resuming with wget (e.g. "wget -c")
Im trying to specify --safe-resume option (in command line or via PALUDIS_OPTIONS), but still getting the same error :(
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5737
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Apr 08, 2007 10:12 am    Post subject: Reply with quote

fank wrote:
hi,

how could I use deltup with Paludis?
I found this
but with no luck here

and how can I enable resuming with wget (e.g. "wget -c")
Im trying to specify --safe-resume option (in command line or via PALUDIS_OPTIONS), but still getting the same error :(


append export PALUDIS_OPTIONS="--safe-resume"
and other options to /etc/bash/bashrc
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.3.0-r2
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
deathrattle
n00b
n00b


Joined: 07 Apr 2007
Posts: 14
Location: Simmerath, Germany

PostPosted: Sun Apr 08, 2007 11:10 am    Post subject: Reply with quote

I've deleted "app-admin/eselect-compiler" from my /var/portage/ and now get a strange warning:

Code:
paludis --info
paludis 0.22.2

Built by root@amd64_X2 on 2007-04-08T00:29:56+0200
CXX:         x86_64-pc-linux-gnu-g++ 4.1.2 (Gentoo 4.1.2)
CXXFLAGS:    -march=k8 -O2 -pipe -funroll-loops -ftracer -fpeel-loops -ftree-vectorize
LDFLAGS:     -Wl,-Os -Wl,--hash-style=gnu -Wl,--as-needed
DATADIR:     /usr/share
LIBDIR:      /usr/lib64
LIBEXECDIR:  /usr/libexec
SYSCONFDIR:  /etc
stdlib:      GNU libstdc++ 20070214
libebt:      1.3.0
libwrapiter: 1.0.0
sandbox:     enabled

Repository virtuals:
    Configuration information:
        format:                virtuals

Repository installed_virtuals:
    Configuration information:
        format:                installed_virtuals

Repository gentoo:
paludis@1176030090: [WARNING] Skipping info_vars for 'gentoo' because info_pkgs is not usable
    Configuration information:
        buildroot:             /var/tmp/paludis
        cache:                 /var/portage/metadata/cache
        distdir:               /var/portage/distfiles
        eclassdirs:            /var/portage/eclass
        format:                ebuild
        location:              /var/portage
        names_cache:           /var/cache/paludis/names
        newsdir:               /var/portage/metadata/news
        pkgdir:                /var/portage/packages
        profiles:              /var/portage/profiles/default-linux/amd64/2006.1/desktop
        securitydir:           /var/portage/metadata/glsa
        setsdir:               /var/portage/sets
        sync:                  rsync://linux.rz.ruhr-uni-bochum.de/gentoo-portage
        sync_options:
        write_cache:           /var/empty

    Package information:
        app-admin/eselect-compiler: (none)
        dev-java/java-config:  1.3.7, 2.0.31
        dev-lang/python:       2.4.3-r4
        dev-python/pycrypto:   2.0.1-r5
        dev-util/ccache:       2.4-r6
        dev-util/confcache:    (none)
        sys-apps/sandbox:      1.2.17
        sys-devel/autoconf:    2.13, 2.61
        sys-devel/automake:    1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
        sys-devel/binutils:    2.17.50.0.12
        sys-devel/gcc-config:  1.3.14
        sys-devel/libtool:     1.5.22
        virtual/os-headers:    2.6.20-r2

Repository installed:
    Configuration information:
        buildroot:             /var/tmp/paludis
        format:                vdb
        location:              /var/db/pkg
        names_cache:           /var/db/pkg/.cache/names
        provides_cache:        /var/db/pkg/.cache/provides
        root:                  /
        world:                 /var/db/pkg/world


This is an extract of what "paludis -ip system" gives me:

Code:
amd64_X2 bash # paludis -ip system
Building target list...
Building dependency list...paludis@1176030504: [WARNING] In program paludis -ip system:
  ... When performing install action from command line:
  ... When executing install task:
  ... When adding PackageDepSpec 'virtual/baselayout':
  ... When loading entries for virtuals repository:
  ... No packages matching 'sys-kernel/kamikaze-sources' for virtual 'virtual/alsa'
paludis@1176030505: [WARNING] (same context) No packages matching 'sys-kernel/kamikaze-sources' for virtual 'virtual/linux-sources'
sh: sandbox: command not found
paludis@1176030507: [WARNING] In program paludis -ip system:
  ... When performing install action from command line:
  ... When executing install task:
  ... When adding PackageDepSpec 'dev-lang/perl':
  ... When adding installed package 'dev-lang/perl-5.8.8-r2::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '~sys-devel/libperl-5.8.8':
  ... When adding installed package 'sys-devel/libperl-5.8.8-r1::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec 'sys-libs/db':
  ... When adding installed package 'sys-libs/db-4.2.52_p4-r2::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '>=virtual/jre-1.4':
  ... When adding installed package 'virtual/jre-1.5.0::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '=virtual/jdk-1.5.0*':
  ... When adding installed package 'virtual/jdk-1.5.0::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '=dev-java/sun-jdk-1.5.0*':
  ... When adding installed package 'dev-java/sun-jdk-1.5.0.10::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec 'sys-libs/glibc':
  ... When checking mask reasons for 'sys-libs/glibc-2.5.90.20070313::toolchain'
  ... When fetching metadata for 'sys-libs/glibc-2.5.90.20070313':
  ... When generating version metadata for 'sys-libs/glibc-2.5.90.20070313':
  ... Caught exception 'Name '' is not a valid slot name' (paludis::SlotNameError) when generating cache for 'sys-libs/glibc-2.5.90.20070313::toolchain'
paludis@1176030507: [WARNING] (same context) Could not generate cache for 'sys-libs/glibc-2.5.90.20070313::toolchain'
paludis@1176030507: [WARNING] No usable metadata for 'sys-libs/glibc-2.5.90.20070313' in 'toolchain'
sh: sandbox: command not found

.....

paludis@1176030510: [WARNING] In program paludis -ip system:
  ... When performing install action from command line:
  ... When executing install task:
  ... When adding PackageDepSpec 'dev-lang/perl':
  ... When adding installed package 'dev-lang/perl-5.8.8-r2::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '~sys-devel/libperl-5.8.8':
  ... When adding installed package 'sys-devel/libperl-5.8.8-r1::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec 'sys-libs/db':
  ... When adding installed package 'sys-libs/db-4.2.52_p4-r2::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '>=virtual/jre-1.4':
  ... When adding installed package 'virtual/jre-1.5.0::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '=virtual/jdk-1.5.0*':
  ... When adding installed package 'virtual/jdk-1.5.0::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '=dev-java/sun-jdk-1.5.0*':
  ... When adding installed package 'dev-java/sun-jdk-1.5.0.10::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec '=dev-java/java-config-2.0*':
  ... When adding installed package 'dev-java/java-config-2.0.31::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec 'dev-java/java-config-wrapper':
  ... When adding installed package 'dev-java/java-config-wrapper-0.12-r1::installed':
  ... When adding run dependencies as post dependencies:
  ... When adding PackageDepSpec 'app-portage/portage-utils':
  ... When checking mask reasons for 'app-portage/portage-utils-20070307::paludis-extras'
  ... When fetching metadata for 'app-portage/portage-utils-20070307':
  ... When generating version metadata for 'app-portage/portage-utils-20070307':
  ... Caught exception 'Name '' is not a valid slot name' (paludis::SlotNameError) when generating cache for 'app-portage/portage-utils-20070307::paludis-extras'
paludis@1176030510: [WARNING] (same context) Could not generate cache for 'app-portage/portage-utils-20070307::paludis-extras'
paludis@1176030510: [WARNING] No usable metadata for 'app-portage/portage-utils-20070307' in 'paludis-extras'


These packages will be installed:

* sys-devel/binutils-config-1.8-r7 {:0} [D 1.9-r3]
* sys-devel/binutils-2.17.50.0.14 {:0} [U 2.17.50.0.12] -multislot (-multitarget) nls -test -vanilla <system>
* sys-libs/glibc-2.5 {:2.2} [D 2.5.90.20070313] -build -glibc-compat20 -glibc-omitfp (-hardened) (-multilib) nls nptl nptlonly -profile (-selinux)
* sys-apps/man-1.6e-r1 {:0} [D 1.6e-r3] nls
* x11-misc/util-macros-1.1.0 {:0} [D 1.1.5] -debug
* x11-proto/xproto-7.0.7 {:0} [D 7.0.10] -debug
* x11-libs/libX11-1.0.3 {:0} [D 1.1.1-r1] -debug ipv6
* app-portage/portage-utils-0.1.25 {:0} [U 0.1.23]
* sys-apps/portage-2.1.2.3 {:0} [U 2.1.2.2] -build -doc -epydoc (-selinux) linguas: -pl <system>
* sys-apps/file-4.20-r1 {:0} [U 4.20] python <system>
* dev-libs/glib-2.12.9 {:2} [D 2.12.11] -debug -doc -hardened

Total: 11 packages (4 upgrades, 7 downgrades)

General sets:

* system:          Packages that are part of the base system

amd64_X2 bash #                                               


It seems there is a command missing; but which one?
Back to top
View user's profile Send private message
nikaya
Veteran
Veteran


Joined: 13 May 2006
Posts: 1471
Location: Germany

PostPosted: Sun Apr 08, 2007 11:42 am    Post subject: Reply with quote

Did you tried
Code:
paludis --regenerate-installed-cache

_________________
Notes on Dhamma
How to waste your time: look for an explanation of consciousness, ask to know what feeling is. (Nanavira Thera)
Back to top
View user's profile Send private message
deathrattle
n00b
n00b


Joined: 07 Apr 2007
Posts: 14
Location: Simmerath, Germany

PostPosted: Sun Apr 08, 2007 11:50 am    Post subject: Reply with quote

Yes, but nothing's changed.

"paludis --regenerate-installed-cache" runs through with no error.

Even "paludis -s" didn't help.

Just trying an "emerge -e world" right now.


Last edited by deathrattle on Sun Apr 08, 2007 2:40 pm; edited 1 time in total
Back to top
View user's profile Send private message
fank
l33t
l33t


Joined: 16 Oct 2004
Posts: 794
Location: Minsk, Belarus

PostPosted: Sun Apr 08, 2007 1:57 pm    Post subject: Reply with quote

kernelOfTruth wrote:
fank wrote:
hi,

how could I use deltup with Paludis?
I found this
but with no luck here

and how can I enable resuming with wget (e.g. "wget -c")
Im trying to specify --safe-resume option (in command line or via PALUDIS_OPTIONS), but still getting the same error :(


append export PALUDIS_OPTIONS="--safe-resume"
and other options to /etc/bash/bashrc


thank you for reply but this doesn't help me
any other suggestions?
now I have to download software using emerge which does it veeeery sloooow :evil:


EDITED

finally, I've got it workin by adding this
Code:
export PALUDIS_OPTIONS="--safe-resume"
export PALUDIS_USE_SAFE_RESUME="yes"
export SANDBOX_WRITE="/"

to my /etc/bash/bashrc
getdelta still doesn't work
Back to top
View user's profile Send private message
yoshi314
l33t
l33t


Joined: 30 Dec 2004
Posts: 819
Location: PL

PostPosted: Sun Apr 08, 2007 2:19 pm    Post subject: Reply with quote

maybe this was already answered, but does paludis have an equivalent of emerge -l (log) ?

it's difficult to find it, since 'paludis' 'emerge 'and 'log' give many other search results.
_________________
~amd64, ~x86
shrink your /usr/portage with squashfs+aufs
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Sun Apr 08, 2007 2:38 pm    Post subject: Reply with quote

hmm, is there a way to tell paludis to work as portage:portage?
I am not willing to chown around the system (distfiles, svn/cvs-src, ccache etc..)
Would be nicer to tell paludis to run as portage:portage
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
nikaya
Veteran
Veteran


Joined: 13 May 2006
Posts: 1471
Location: Germany

PostPosted: Sun Apr 08, 2007 2:41 pm    Post subject: Reply with quote

yoshi314 wrote:
maybe this was already answered, but does paludis have an equivalent of emerge -l (log) ?

it's difficult to find it, since 'paludis' 'emerge 'and 'log' give many other search results.

There is a simple logfile in /var/log/paludis.log.But at the moment there is nothing like the PORT_LOGDIR feature in Portage where all output is written.
I asked ciaranm once on irc.He told me that in the near future are no plans for it.I should read "man tee".I like his answers. :lol:
_________________
Notes on Dhamma
How to waste your time: look for an explanation of consciousness, ask to know what feeling is. (Nanavira Thera)
Back to top
View user's profile Send private message
Conan
Guru
Guru


Joined: 02 Nov 2004
Posts: 360

PostPosted: Sun Apr 08, 2007 3:04 pm    Post subject: Reply with quote

john.doe wrote:
yoshi314 wrote:
maybe this was already answered, but does paludis have an equivalent of emerge -l (log) ?

it's difficult to find it, since 'paludis' 'emerge 'and 'log' give many other search results.

There is a simple logfile in /var/log/paludis.log.But at the moment there is nothing like the PORT_LOGDIR feature in Portage where all output is written.
I asked ciaranm once on irc.He told me that in the near future are no plans for it.I should read "man tee".I like his answers. :lol:


except that has nothing to do with emerge -l...

Quote:
--changelog (-l)
Use this in conjunction with the --pretend option. This will show the
ChangeLog entries for all the packages that will be upgraded.


Do some research before posting... mmkay?
Back to top
View user's profile Send private message
nikaya
Veteran
Veteran


Joined: 13 May 2006
Posts: 1471
Location: Germany

PostPosted: Sun Apr 08, 2007 3:23 pm    Post subject: Reply with quote

Conan wrote:

Do some research before posting... mmkay?

Oohhps. :oops:
Yes Sir,will do so.
_________________
Notes on Dhamma
How to waste your time: look for an explanation of consciousness, ask to know what feeling is. (Nanavira Thera)
Back to top
View user's profile Send private message
nikaya
Veteran
Veteran


Joined: 13 May 2006
Posts: 1471
Location: Germany

PostPosted: Sun Apr 08, 2007 5:01 pm    Post subject: Reply with quote

Hypnos wrote:
john.doe wrote:
check_linkage.rb found 5 packages to reinstall:sun-jdk,blackdown-jdk,openoffice-bin,firefox-bin and thunderbird-bin.
Annother demonstration of the power of Paludis.

Aren't these false positives? I.e., sun-jdk and blackdown-jdk probably have non-ld.so dependencies, and *-bin might have deep deps. If these programs don't run, check_linkage picks them up, you re-install them, and then they run, then check_linkage will have performed well.

Yep,seems to be not correct.check_linkage.rb picks always binaries.After reinstalling the packages and running check_linkage again it wants to install those packages again and again.
I've had that issue with revdep-rebuild one year ago (or so).It installed openoffice-bin each time I ran it.This phenomenon disappeard someday,I think with an update of revdep-rebuild.
_________________
Notes on Dhamma
How to waste your time: look for an explanation of consciousness, ask to know what feeling is. (Nanavira Thera)
Back to top
View user's profile Send private message
deathrattle
n00b
n00b


Joined: 07 Apr 2007
Posts: 14
Location: Simmerath, Germany

PostPosted: Sun Apr 08, 2007 6:09 pm    Post subject: Reply with quote

deathrattle wrote:
Yes, but nothing's changed.

"paludis --regenerate-installed-cache" runs through with no error.

Even "paludis -s" didn't help.

Just trying an "emerge -e world" right now.


Okay, I am back again....

Just downgraded to "paludis-0.20.2" and everything seems fine.

Will try 0.22.2 again and see if it breaks again.
Back to top
View user's profile Send private message
Etal
Veteran
Veteran


Joined: 15 Jul 2005
Posts: 1641

PostPosted: Sun Apr 08, 2007 11:47 pm    Post subject: Reply with quote

givemesugarr wrote:
i have a great problem with paludis:
everytime i issue a command for paludis, wichever it is except the sync, i only get an error:
Quote:
Query error:
* In program paludis -ip --dl-reinstall if-use-changed world:
* When performing install action from command line:
* When executing install task:
* When adding PackageDepSpec 'x11-base/opengl-update':
* No versions of 'x11-base/opengl-update' are available


i verified the presence of this package in portage, and it doesn't figure out, nor as masked, had-masked or stable.... and i don't know where to get it..... i search around in the forum and didn't find any useful reply.... so i'm asking here for some help....

IIRC, you can safely unmerge it. If it's not in portage, it is not needed :wink: (If your system is mostly up-to-date, of course)
_________________
“And even in authoritarian countries, information networks are helping people discover new facts and making governments more accountable.”– Hillary Clinton, Jan. 21, 2010
Back to top
View user's profile Send private message
deathrattle
n00b
n00b


Joined: 07 Apr 2007
Posts: 14
Location: Simmerath, Germany

PostPosted: Mon Apr 09, 2007 3:38 am    Post subject: Reply with quote

deathrattle wrote:
deathrattle wrote:
Yes, but nothing's changed.

"paludis --regenerate-installed-cache" runs through with no error.

Even "paludis -s" didn't help.

Just trying an "emerge -e world" right now.


Okay, I am back again....

Just downgraded to "paludis-0.20.2" and everything seems fine.

Will try 0.22.2 again and see if it breaks again.


0.22.2 works as long as I don't synchronize the portage tree. After a "portage -s" I run in trouble again.
Back to top
View user's profile Send private message
xentric
Guru
Guru


Joined: 16 Mar 2003
Posts: 410
Location: Netherlands

PostPosted: Mon Apr 09, 2007 10:30 pm    Post subject: Reply with quote

Hi,

Can anyone tell me how I can get past this fetch-error?

EDIT: nevermind... removing the file from /usr/portage/distfiles seems to have fixed it!
But it looks like lot's of mirrors are missing this file!?

Code:
gentoo-vm / # paludis -i file
Building target list... paludis@1176186408: [WARNING] In program paludis -i file:
  ... When performing install action from command line:
  ... When adding install target 'file':
  ... When disambiguating package name 'file':
  ... When looking in repository 'overlay':
  ... When using name cache at '/usr/local/portage/.cache/names/overlay':
  ... Names cache for 'overlay' has no version information, so cannot be used. Either it was generated using an older Paludis version or it has not yet been generated.

Building dependency list...

These packages will be installed:

* sys-apps/file-4.20-r1 {:0} [U 4.17-r1] python

Total: 1 package (1 upgrade)

Installing sys-apps/file-4.20-r1::gentoo

>>> Starting builtin_fetch
>>> Already have file-4.20.tar.gz
>>> Already have patch-4.20-REG_STARTEND
 * Checking MD5 for file-4.20.tar.gz ...                                 [ !! ]
 * Checking RMD160 for file-4.20.tar.gz ...                              [ !! ]
 * Checking SHA256 for file-4.20.tar.gz ...                              [ !! ]
 * Checking MD5 for patch-4.20-REG_STARTEND ...                          [ ok ]
 * Checking RMD160 for patch-4.20-REG_STARTEND ...                       [ ok ]
 * Checking SHA256 for patch-4.20-REG_STARTEND ...                       [ ok ]

 * Bad digests encountered for the following components:
 *   * file-4.20.tar.gz


!!! ERROR in sys-apps/file-4.20-r1:
!!! In builtin_fetch at line 116
!!! builtin_fetch failed

!!! Call stack:
!!!    * builtin_fetch (/usr/libexec/paludis/builtin_fetch.bash:116)
!!!    * ebuild_f_fetch (/usr/libexec/paludis/builtin_fetch.bash:130)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:339)
!!!    * main (/usr/libexec/paludis/ebuild.bash:351)

die trap: exiting with error.

Fetch error:
  * In program paludis -i file:
  * When performing install action from command line:
  * When executing install task:
  * Fetch error: Fetch failed for 'sys-apps/file-4.20-r1::gentoo'


Resume command: paludis --log-level qa --dl-deps-default discard --install '=sys-apps/file-4.20-r1::gentoo' --add-to-world-atom '( sys-apps/file )'

_________________
When all else fails, read the manual...
Registered Linux User #340626


Last edited by xentric on Mon Apr 09, 2007 10:34 pm; edited 1 time in total
Back to top
View user's profile Send private message
Paapaa
l33t
l33t


Joined: 14 Aug 2005
Posts: 955
Location: Finland

PostPosted: Mon Apr 09, 2007 10:30 pm    Post subject: Reply with quote

xentric wrote:
Can anyone tell me how I can get past this fetch-error?


Yes, delete the correct distfile (file-4.20.tar.gz) in /usr/portage/distfiles and install it again.
Back to top
View user's profile Send private message
xentric
Guru
Guru


Joined: 16 Mar 2003
Posts: 410
Location: Netherlands

PostPosted: Mon Apr 09, 2007 10:37 pm    Post subject: Reply with quote

Paapaa wrote:
Yes, delete the correct distfile (file-4.20.tar.gz) in /usr/portage/distfiles and install it again.

Yep, that worked... but can you tell me why paludis had to query about 30 mirrors before it finally found this file?
I got loads of 404 errors before it finally found the file.
_________________
When all else fails, read the manual...
Registered Linux User #340626
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5737
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Apr 09, 2007 11:00 pm    Post subject: Reply with quote

xentric wrote:
Paapaa wrote:
Yes, delete the correct distfile (file-4.20.tar.gz) in /usr/portage/distfiles and install it again.

Yep, that worked... but can you tell me why paludis had to query about 30 mirrors before it finally found this file?
I got loads of 404 errors before it finally found the file.


paludis download functionality unfortunately (still) seems to be inferior than portage's:

when downloading a regular file (not from overlays) portage usually downloads it from the first mirror, paludis in contrast skips (doesn't seem to find it there) 2-4 mirrors or more, then first downloads it, even with resume-support enabled ... :(
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.3.0-r2
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 17, 18, 19, 20  Next
Page 18 of 20

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum